2012-11-03  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-secondary-1.patch: Updated.

2012-10-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Check symbol for linker created
	section instead.

2012-10-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Never mark linker generated dynamic
	symbols undefined.

2012-10-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Fix LTO tests with -Wall and
	-Wp,-D_FORTIFY_SOURCE.

2012-09-19  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14591-1.patch: Removed.
	* README: Likewise.

2012-09-18  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14591-1.patch: Fix elf32-sh-symbian.c compilation.
	* binutils-secondary-1.patch: Updated.

2012-09-18  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-secondary-1.patch: Updated.

	* binutils-pr14591-1.patch: New.
	* README: Apply it.

2012-09-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-secondary-1.patch: Treat old secondary symbol as weak.

2012-09-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-secondary-1.patch: Replace "-z secondary" with
	"-z nosecondary".

2012-09-06  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-secondary-1.patch: If secondary symbols are ignored,
	count function and common symbols as global definition.

2012-09-06  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-secondary-1.patch: Ignore another secondary
	definition.

2012-09-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-secondary-1.patch: Don't set symbol weak on secondary
	symbol.

2012-09-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14493-1.patch: Removed.
	* README: Likewise.

2012-08-31  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14493-1.patch: New.
	* README: Apply it.

2012-08-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Rename
	gld${EMULATION_NAME}_finish to aarch64_finish.

2012-08-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-15.patch: Updated.

2012-07-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Relace trace_file_tries with
	verbose.

2012-07-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14156-1.patch: Removed.
	* binutils-pr14323-1.patch: Likewise.
	* README: Likewise.

2012-07-05  H.J. Lu  <hjl.tools@gmail.com>

	* ld-multilib.patch: Removed.
	* libtool-dso.patch: Likewise.
	* libtool-gnu.patch: Likewise.

2012-07-05  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-64k-2.patch: Removed.
	* README: Likewise.

2012-07-03  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14319-1.patch: Removed.
	* README: Likewise.

2012-07-03  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-secondary-1.patch: Updated.

	* binutils-indirect-5.patch: Removed.
	* README: Likewise.

2012-07-02  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-weakdef-2.patch: Renamed to ...
	* binutils-pr14323-1.patch: This.  Updated.
	* README: Likewise.

2012-07-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-secondary-1.patch: New.

	* binutils-indirect-5.patch: Updated for STB_SECONDARY support.

	* README: Apply binutils-indirect-5.patch after
	binutils-secondary-1.patch.

2012-07-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14319-1.patch: New.
	* README: Apply it.

2012-07-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-100.patch: Updated.

2012-06-29  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Mark the plugin symbol undefined
	if it is referenced from a non-IR file.

2012-06-29  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14156-1.patch: New.
	* README: Apply it.

2012-06-24  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Properly test if LTO works with
	the new linker.

2012-06-09  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-sb.patch: Removed.
	* README: Likewise.

2012-06-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-sb.patch: Updated.

2012-06-07  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-sb.patch: New.
	* README: Apply it.

2012-06-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Fix ar/nm/ranlib --plugin.

2012-05-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Updated.

2012-05-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-100.patch: Updated.

2012-05-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr13909.patch: Removed.
	* README: Likewise.

2012-05-23  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr13909.patch: Updated.

2012-05-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr13909.patch: Updated.

	* binutils-pr14105.patch: Removed.
	* README: Likewise.

2012-05-21  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-indirect-5.patch: Updated.

2012-05-15  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr13962.patch: Removed.
	* README: Likewise.

2012-05-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr13909.patch: New.
	* README: Apply it.

2012-05-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14105.patch: New.
	* README: Apply it.

2012-05-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr13962.patch: New.
	* README: Apply it.

2012-05-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-signed-8.patch: Removed.
	* README: Likewise.

2012-05-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14088.patch: Removed.
	* README: Likewise.

2012-05-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr14088.patch: New.
	* README: Apply it.

2012-05-07  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Updated.

2012-05-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-x32-1.patch: Removed.
	* README: Likewise.

2012-05-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-indirect-5.patch: Updated.

2012-04-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-15.patch: Updated.

2012-03-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-100.patch: Updated.

2012-03-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Updated.

2012-03-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-15.patch: Updated.

2012-02-21  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Updated.

2012-01-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-15.patch: New file. Replace ...
	* binutils-error-14.patch: This. Removed.
	* README: Likewise.

2011-10-21  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Add a test for PR ld/13287.

2011-10-21  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-100.patch: New file. Replace ...
	* binutils-shr-99.patch: This. Removed.
	* README: Likewise.

2011-10-20  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-14.patch: Updated.

2011-10-16  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Properly fix PR ld/13298.

2011-10-15  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Fix PR ld/13298.

2011-10-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-14.patch: New file. Replace ...
	* binutils-error-13.patch: This. Removed.
	* README: Likewise.

2011-10-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Remove fix for PRs ld/13229 and
	ld/13244.

2011-10-07  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Fix PRs ld/13229 and ld/13244.
	Add test for PR ld/13201.

2011-10-07  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-indirect-5.patch: Updated.

2011-09-17  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-indirect-5.patch: Check if a symbol is versioned.

2011-09-17  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-indirect-5.patch: New file. Replace ...
	* binutils-indirect-4.patch: This. Removed.
	* README: Likewise.

2011-09-16  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Add tests for PRs ld/12975 and
	ld/13183.

2011-08-09  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Add a test for PR ld/13066.

2011-08-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Updated.

2011-08-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-99.patch: New file. Replace ...
	* binutils-shr-98.patch: This. Removed.
	* README: Likewise.

2011-07-11  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: Add a test for PR ld/12982.

2011-07-11  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-18.patch: New file. Replace ...
	* binutils-lto-mixed-17.patch: This. Removed.

	* binutils-pr12942-1.patch: Removed.

	* README: Updated.

2011-07-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr12942-1.patch: New.
	* README: Apply it.

2011-06-20  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-x32-1.patch: New.
	* README: Apply it.

2011-05-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-13.patch: New file. Replace ...
	* binutils-error-12.patch: This. Removed.

	* binutils-shr-98.patch: New file. Replace ...
	* binutils-shr-97.patch: This. Removed.

	* README: Updated.

2011-05-17  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-17.patch: Updated.  Add -plugin-save-temps.

2011-05-15  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-17.patch: Call bfd_link_repair_undef_list
	when undefining symbols from plugin dummy.

2011-05-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-17.patch: New file. Replace ...
	* binutils-lto-mixed-16.patch: This. Removed.
	* README: Likewise.

2011-04-24  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-16.patch: New file. Replace ...
	* binutils-lto-mixed-15.patch: This. Removed.
	* README: Likewise.

2011-04-20  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-15.patch: New file. Replace ...
	* binutils-lto-mixed-13.patch: This. Removed.
	* README: Likewise.

2011-04-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr12639-2.patch: New.
	* README: Apply it.

2011-04-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-97.patch: New file. Replace ...
	* binutils-shr-96.patch: This. Removed.
	* README: Likewise.

2011-03-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-13.patch: New file. Replace ...
	* binutils-lto-mixed-12.patch: This. Removed.
	* README: Likewise.

2011-02-26  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-12.patch: New file. Replace ...
	* binutils-lto-mixed-11.patch: This. Removed.
	* README: Likewise.

2011-02-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-signed-8.patch: New file. Replace ...
	* binutils-signed-7.patch: This.  Removed.
	* README: Likewise.

2011-02-23  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-11.patch: New file. Replace ...
	* binutils-lto-mixed-10.patch: This. Removed.
	* README: Likewise.

2011-02-16  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-10.patch: New file. Replace ...
	* binutils-lto-mixed-9.patch: This. Removed.
	* README: Likewise.

2011-01-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-9.patch: New file. Replace ...
	* binutils-lto-mixed-8.patch: This. Removed.
	* README: Likewise.

2011-01-16  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-signed-7.patch: New file. Replace ...
	* binutils-signed-6.patch: This.  Removed.
	* README: Likewise.

2011-01-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-8.patch: New file. Replace ...
	* binutils-lto-mixed-7.patch: This. Removed.
	* README: Likewise.

2011-01-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr12356-1.patch: Removed.
	* README: Likewise.

2011-01-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-7.patch: New file. Replace ...
	* binutils-lto-mixed-6.patch: This. Removed.
	* README: Likewise.

2011-01-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr12380-1.patch: Removed.
	* README: Likewise.

2011-01-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-6.patch: New file. Replace ...
	* binutils-lto-mixed-5.patch: This. Removed.
	* README: Likewise.

2011-01-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-5.patch: New file. Replace ...
	* binutils-lto-mixed-4.patch: This. Removed.
	* README: Likewise.

2011-01-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr12380-1.patch: New.
	* README: Apply it.

2011-01-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-96.patch: New file. Replace ...
	* binutils-shr-95.patch: This. Removed.
	* README: Likewise.

2011-01-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-4.patch: New file. Replace ...
	* binutils-lto-mixed-3.patch: This. Removed.
	* README: Likewise.

2011-01-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-3.patch: Update PRs.

2011-01-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-signed-6.patch: New file. Replace ...
	* binutils-signed-5.patch: This.  Removed.
	* README: Likewise.

2011-01-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-95.patch: New file. Replace ...
	* binutils-shr-94.patch: This. Removed.
	* README: Likewise.

2011-01-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr12356-1.patch: New.
	* README: Apply it.

2010-12-28  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-compress-rel-2.patch: Removed.
	* binutils-pr12327-2.patch: Likewise.
	* README: Updated.

2010-12-17  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr12327-2.patch: New file. Replace ...
	* binutils-pr12327-1.patch: This. Removed.
	* README: Likewise.

2010-12-16  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr12327-1.patch: Only make absolute symbol value
	absolute.

2010-12-16  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr12327-1.patch: New.
	* README: Apply it.

2010-12-15  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-compress-rel-2.patch: New file. Replace ...
	* binutils-compress-rel-1.patch: This. Removed.
	* README: Likewise.

2010-12-15  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-init-mixed-3.patch: Removed.
	* README: Likewise.

2010-12-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-compress-rel-1.patch: New.
	* README: Apply it.

2010-12-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-init-mixed-3.patch: New file. Replace ...
	* binutils-init-mixed-2.patch: This. Removed.
	* README: Likewise.

2010-12-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-3.patch: Check lto_non_ir_object instead
	of lto_ir_object when warning about the unclaimed archive
	member with IR.

2010-12-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-init-mixed-2.patch: New file. Replace ...
	* binutils-init-mixed-1.patch: This. Removed.
	* README: Likewise.

2010-12-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-init-mixed-1.patch: New.
	* README: Apply it.

2010-12-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-3.patch: New file. Replace ...
	* binutils-lto-mixed-2.patch: This. Removed.
	* README: Likewise.

2010-12-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-2.patch: New file. Replace ...
	* binutils-lto-mixed-1.patch: This. Removed.
	* README: Likewise.

2010-12-11  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-1.patch: Initialize header.next to NULL.

2010-12-11  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-lto-mixed-1.patch: New file. Replace ...
	* binutils-2stage-5.patch: This. Removed.
	* README: Likewise.

2010-12-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-2stage-5.patch: New file. Replace ...
	* binutils-2stage-4.patch: This. Removed.
	* README: Likewise.

2010-12-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-2stage-4.patch: New file. Replace ...
	* binutils-2stage-3.patch: This. Removed.
	* README: Likewise.

2010-12-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-2stage-3.patch: New file. Replace ...
	* binutils-2stage-1.patch: This. Removed.
	* README: Likewise.

2010-12-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-indirect-4.patch: New file. Replace ...
	* binutils-indirect-3.patch: This. Removed.
	* README: Likewise.

2010-12-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-2stage-1.patch: New.
	* README: Apply it.

2010-11-20  H.J. Lu  <hjl.tools@gmail.com>

	* ld-pr46319-1.patch: Removed.
	* README: Likewise.

2010-11-16  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr11137-1.patch: Removed.
	* README: Likewise.

2010-11-10  H.J. Lu  <hjl.tools@gmail.com>

	* ld-pr46319-1.patch: New.
	* README: Apply it.

2010-10-29  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-zlib-5.patch: Removed.
	* README: Likewise.

2010-10-18  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-12.patch: New file. Replace ...
	* binutils-error-11.patch: This. Removed.
	* README: Likewise.

2010-10-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-signed-5.patch: New file. Replace ...
	* binutils-signed-4.patch: This.  Removed.
	* README: Likewise.

2010-09-18  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr11997-1.patch: Removed.
	* README: Likewise.

2010-09-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr11997-1.patch: New.
	* README: Apply it.

2010-08-30  H.J. Lu  <hjl.tools@gmail.com>

	* ld-env-11.patch: Removed.
	* ld-needed-4.patch: Likewise.
	* README: Updated.

2010-08-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr11843-1.patch: Removed.
	* README: Likewise.

	* binutils-pr11137-1.patch: Correct gcc PR #.

2010-08-02  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-zlib-5.patch: New file. Replace ...
	* binutils-zlib-4.patch: This.  Removed.
	* README: Likewise.

2010-08-02  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr11843-1.patch: New.
	* README: Apply it.

2010-07-23  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-zlib-4.patch: New.
	* README: Apply it.

2010-07-23  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-sec64k-7.patch: Removed.
	* README: Likewise.

2010-07-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-12.patch: Removed.
	* README: Likewise.

2010-07-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-12.patch: New file. Replace ...
	* binutils-group-11.patch: This.  Removed.
	* README: Likewise.

2010-07-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-11.patch: New file. Replace ...
	* binutils-error-10.patch: This. Removed.
	* README: Likewise.

2010-05-21  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-11.patch: New file. Replace ...
	* binutils-group-10.patch: This.  Removed.
	* README: Likewise.

2010-05-21  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-exclude-1a.patch: Removed.
	* README: Likewise.

2010-05-14  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-exclude-1a.patch: New.
	* README: Apply it.

2010-04-27  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-9.patch: Removed.
	* README: Likewise.

2010-04-19  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-10.patch: New file. Replace ...
	* binutils-error-9.patch: This. Removed.
	* README: Likewise.

2010-04-19  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-9.patch: New file.  Properly install gold/ld
	in $(tooldir)/bin.  Replace ...
	* binutils-gold-8.patch: This.  Removed.
	* README: Likewise.

2010-04-09  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-8.patch: Updated to properly install gold/ld.

2010-04-09  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-sec64k-7.patch: New file. Replace ...
	* binutils-sec64k-6.patch: This.  Removed.
	* README: Likewise.

2010-04-09  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-9.patch: New file. Replace ...
	* binutils-error-8.patch: This. Removed.
	* README: Likewise.

2010-04-09  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-8.patch: New file.  Updated to gold-and-ld.patch.5
	from Nick.  Replace ...
	* binutils-gold-7.patch: This.  Removed.
	* README: Likewise.

2010-03-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-indirect-3.patch: New file. Replace ...
	* binutils-indirect-2.patch: This. Removed.
	* README: Likewise.

2010-02-20  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-94.patch: New file. Replace ...
	* binutils-shr-93.patch: This. Removed.
	* README: Likewise.

2010-02-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-93.patch: New file. Replace ...
	* binutils-shr-92.patch: This. Removed.
	* README: Likewise.

2010-01-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-7.patch: Set ENABLE_GOLD to yes only if target
	is supported.

2010-01-11  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-7.patch: New file. Replace ...
	* binutils-gold-6.patch: This.  Removed.
	* README: Likewise.

2010-01-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr11137-1.patch: New.
	* README: Apply it.

2010-01-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-TLSDESC-1.patch: Removed.
	* README: Don't apply it.

2010-01-07  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr11133-3.patch: Removed.
	* README: Don't apply it.

2010-01-07  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr11133-3.patch: New file. Replace ...
	* binutils-pr11133-2.patch: This.  Removed.
	* README: Likewise.

	* binutils-pr11143-1.patch: Removed.
	* README: Don't apply it.

2010-01-06  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-6.patch: New file. Replace ...
	* binutils-gold-5.patch: This.  Removed.
	* README: Likewise.

	* binutils-pr11133-2.patch: New.
	* binutils-pr11143-1.patch: Likewise.
	* README: Apply them.

2009-12-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-92.patch: New file. Replace ...
	* binutils-shr-91.patch: This. Removed.
	* README: Likewise.

2009-12-12  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-signed-4.patch: New file. Replace ...
	* binutils-signed-3.patch: This.  Removed.
	* README: Likewise.

2009-12-09  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-DEP-1.patch: Removed.
	* README: Don't apply it.

2009-12-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-DEP-1.patch: New.
	* binutils-TLSDESC-1.patch: Likewise.
	* README: Apply them.

2009-12-07  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-kept-4.patch: Removed.

2009-12-03  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-5.patch: New file. Replace ...
	* binutils-gold-4.patch: This.  Removed.
	* README: Likewise.

2009-11-17  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-pr10955-1.patch: Removed.
	* README: Don't apply it.

2009-11-17  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-4.patch: New file. Replace ...
	* binutils-gold-3.patch: This.  Removed.
	* README: Likewise.

	* binutils-pr10955-1.patch: New.
	* README: Apply it.

2009-11-06  H.J. Lu  <hjl.tools@gmail.com>

	* ld-needed-4.patch: New file. Replace ...
	* ld-needed-3.patch: This.  Removed.
	* README: Likewise.

2009-11-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-gold-3.patch: New.
	* README: Apply it.

2009-11-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-10.patch: New file. Replace ...
	* binutils-group-9.patch: This.  Removed.
	* README: Likewise.

2009-10-21  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-9.patch: New file. Replace ...
	* binutils-group-8.patch: This.  Removed.
	* README: Likewise.

2009-09-29  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-8.patch: New file. Replace ...
	* binutils-error-7.patch: This. Removed.
	* README: Likewise.

2009-09-29  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-91.patch: New file. Replace ...
	* binutils-shr-90.patch: This. Removed.
	* README: Likewise.

	* binutils-group-8.patch: New file. Replace ...
	* binutils-group-7.patch: This.  Removed.
	* README: Likewise.

2009-09-24  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-local-3.patch: Removed.
	* README: Don't apply it.

2009-09-23  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-local-3.patch: New file. Replace ...
	* binutils-local-2.patch: This.  Removed.
	* README: Likewise.

2009-09-21  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-local-2.patch: New file. Replace ...
	* binutils-local-1.patch: This.  Removed.
	* README: Likewise.

2009-09-11  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-local-1.patch: New.
	* README: Apply it.

2009-09-10  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-sec64k-6.patch: New file. Replace ...
	* binutils-sec64k-5.patch: This.  Removed.
	* README: Likewise.

2009-08-31  H.J. Lu  <hjl.tools@gmail.com>

	* ld-page-size-3.patch: Removed.
	* README: Don't apply it.

2009-08-31  H.J. Lu  <hjl.tools@gmail.com>

	* ld-page-size-3.patch: New file. Replace ...
	* ld-page-size-2.patch: This.  Removed.
	* README: Likewise.

2009-08-28  H.J. Lu  <hjl.tools@gmail.com>

	* ld-page-size-2.patch: New.
	* README: Apply it.

2009-08-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-7.patch: Don't check num when setting
	dwarf2_directive_used in dwarf2_directive_file.

2009-08-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-7.patch: New file. Replace ...
	* binutils-group-6.patch: This.  Removed.
	* README: Likewise.

2009-08-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-6.patch: Don't run dwarf2-? on ia64.

2009-08-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-6.patch: New file. Replace ...
	* binutils-group-2.patch: This.  Removed.
	* README: Likewise.

2009-08-18  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-group-2.patch: New.
	* README: Apply it.

2009-08-03  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-ifunc_ref-2.patch: Removed.
	* README: Don't apply it.

2009-07-30  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-ifunc_ref-2.patch: New file. Replace ...
	* bfd-ifunc_ref-1.patch: This.  Removed.
	* README: Likewise.

2009-07-30  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-90.patch: New file. Replace ...
	* binutils-shr-89.patch: This. Removed.
	* README: Likewise.

	* binutils-sec64k-5.patch: New file. Replace ...
	* binutils-sec64k-4.patch: This.  Removed.
	* README: Likewise.

2009-07-23  H.J. Lu  <hjl.tools@gmail.com>

	* ld-pr10429-1.patch: Removed.
	* binutils-uobj-1.patch: Likewise.
	* README: Don't apply them.

2009-07-22  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-ifunc_ref-1.patch: New.
	* README: Apply it.

2009-07-22  H.J. Lu  <hjl.tools@gmail.com>

	* ld-pr10429-1.patch: New.
	* README: Apply it.

2009-06-27  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-uobj-1.patch: New.
	* README: Apply it.

2009-06-18  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-89.patch: New file. Replace ...
	* binutils-shr-88.patch: This. Removed.
	* README: Likewise.

2009-06-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-88.patch: New file. Replace ...
	* binutils-shr-87.patch: This. Removed.
	* README: Likewise.

2009-06-01  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-ifunc-6.patch: Removed.
	* README: Don't apply it.

2009-05-31  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-ifunc-6.patch: New file. Replace ...
	* binutils-ifunc-5.patch: This. Removed.
	* README: Likewise.

2009-05-29  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-ifunc-5.patch: New file. Replace ...
	* binutils-ifunc-4.patch: This. Removed.
	* README: Likewise.

2009-05-29  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-ifunc-4.patch: Don't fill PLT entry for static
	executables.

	* binutils-ifunc-4.patch: New file. Replace ...
	* binutils-ifunc-3.patch: This. Removed.
	* README: Likewise.

2009-05-28  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-ifunc-3.patch: New file. Replace ...
	* binutils-ifunc-2.patch: This. Removed.
	* README: Likewise.

	* binutils-shr-87.patch: New file. Replace ...
	* binutils-shr-86.patch: This. Removed.
	* README: Likewise.

2009-05-25  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-ifunc-2.patch: New file. Replace ...
	* binutils-ifunc-1.patch: This. Removed.
	* README: Likewise.

2009-05-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-ifunc-1.patch: New.
	* README: Apply it.

2009-05-05  H.J. Lu  <hjl.tools@gmail.com>

	* ld-needed-3.patch: New.
	* README: Apply it.

2009-05-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-86.patch: New file. Replace ...
	* binutils-shr-85.patch: This. Removed.
	* README: Likewise.

2009-04-21  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-pei-page-2.patch: Removed.
	* README: Don't apply it.

2009-04-18  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-pei-page-2.patch: New.
	* README: Apply it.

2009-03-05  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-7.patch: New file. Replace ...
	* binutils-error-6.patch: This. Removed.
	* README: Likewise.

2009-03-02  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-sec64k-4.patch: New file. Replace ...
	* binutils-sec64k-3.patch: This.  Removed.
	* README: Likewise.

2009-02-03  H.J. Lu  <hjl.tools@gmail.com>

	* objdump-pr9784-3.patch: Removed.
	* README: Don't apply it.

2009-01-26  H.J. Lu  <hjl.tools@gmail.com>

	objdump-pr9784-2.patch:
	* objdump.c (show_line): Replace strcpy with strncpy.

	* objdump-pr9784-3.patch: New file. Replace ...
	* objdump-pr9784-2.patch: This.  Removed.
	* README: Likewise.

2009-01-26  H.J. Lu  <hjl.tools@gmail.com>

	* objdump-pr9784-2.patch: New.
	* README: Apply it.

2009-01-02  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-weak-1.patch: Removed.
	* README: Don't apply it.

2009-01-02  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-indirect-2.patch: New file. Replace ...
	* binutils-indirect-1.patch: This.  Removed.
	* README: Likewise.

	* binutils-hidden-2.patch: Removed.
	* README: Don't apply it.

2008-12-23  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-hidden-2.patch: New.
	* binutils-weak-1.patch: Likewise.
	* README: Apply them.

2008-12-23  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-ia64-gap-1.patch: Removed.
	* README: Don't apply it.

2008-12-03  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-ia64-gap-1.patch: New.
	* README: Apply it.

2008-10-12  H.J. Lu  <hjl.tools@gmail.com>

	binutils-sec64k-2.patch:
	* readelf.c (process_section_headers) Check original_shndx
	before using it.

	for the first entry in section header table.
	* binutils-sec64k-3.patch: New file. Replace ...
	* binutils-sec64k-2.patch: This.  Removed.
	* README: Likewise.

2008-10-04  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-grp-3.patch: Removed.
	* README: Don't apply it.

2008-10-03  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-grp-3.patch: New.
	* README: Apply it.

2008-09-16  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-func-2.patch: Removed.
	* README: Don't apply it.

	* binutils-weakdef-2.patch: New file. Replace ...
	* binutils-weakdef-1.patch: This.  Removed.
	* README: Likewise.

2008-09-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-func-2.patch: New file. Replace ...
	* binutils-func-1.patch: This. Removed.
	* README: Likewise.

2008-09-13  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-func-1.patch: New.
	* README: Apply it.

	* ld-env-11.patch: New file. Replace ...
	* ld-env-10.patch: This. Removed.
	* README: Likewise.

2008-09-13  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-ref_addr-7.patch: Removed.
	* README: Don't apply it.

2008-07-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-error-6.patch: New file. Replace ...
	* binutils-error-4.patch: This. Removed.
	* README: Likewise.

2008-07-12  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-ref_addr-7.patch: New file. Replace ...
	* bfd-ref_addr-6.patch: This. Removed.
	* README: Likewise.

2008-07-12  H.J. Lu  <hjl.tools@gmail.com>

	* ld-test-m68k-got-1.patch: Removed.

	* README (removed): Removed.
	(mk68k_gots): Likewise.
	Don't apply ld-test-m68k-got-1.patch.

2008-07-10  H.J. Lu  <hjl.tools@gmail.com>

	* ld-test-m68k-got-1.patch: New.

	* README (removed): New.
	(mk68k_gots): Likewise.
	Apply ld-test-m68k-got-1.patch.

2008-06-08  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-85.patch: New file. Replace ...
	* binutils-shr-84.patch: This. Removed.
	* ld-env-10.patch: New file. Replace ...
	* ld-env-9.patch: This. Removed.
	* README: Likewise.

2008-06-02  H.J. Lu  <hjl.tools@gmail.com>

	* ld-env-9.patch: New file. Replace ...
	* ld-env-8.patch: This. Removed.
	* README: Likewise.

2008-05-21  H.J. Lu  <hjl.tools@gmail.com>

	* ld-env-8.patch: New file. Replace ...
	* ld-env-7.patch: This. Removed.
	* README: Likewise.

2008-05-02  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-shr-84.patch: New file. Replace ...
	* binutils-shr-83.patch: This. Removed.
	* README: Likewise.

2008-04-22  H.J. Lu  <hjl.tools@gmail.com>

	binutils-sec64k-2.patch:
	* readelf.c (get_32bit_section_headers) Don't set hole_in_shndx
	for the first entry in section header table.

2008-04-22  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-sec64k-2.patch: New file.
	* README: Apply it.

2008-03-12  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-64k-2.patch: New file.
	* README: Apply it.

2008-02-11  H.J. Lu  <hjl.tools@gmail.com>

	* binutils-splay-2.patch: Removed.
	* README: Don't apply it.

2008-02-09  H.J. Lu  <hjl.tools@gmail.com>

	* bfd-vma-2.patch: Removed.
	* README: Don't apply it.

	* binutils-splay-2.patch: New file.
	* README: Apply it.

2008-01-29  H.J. Lu  <hjl@gnu.org>

	* binutils-reg-7.patch: Removed.
	* README: Don't apply it.

2008-01-26  H.J. Lu  <hjl@gnu.org>

	* binutils-reg-7.patch: New file.
	* README: Apply it.

2007-11-13  H.J. Lu  <hjl@gnu.org>

	* bfd-vma-2.patch: New file.
	* README: Apply it.

2007-11-13  H.J. Lu  <hjl@gnu.org>

	* binutils-flags-1.patch: Removed.
	* README: Don't apply it.

2007-10-30  H.J. Lu  <hjl@gnu.org>

	* binutils-flags-1.patch: New file.
	* README: Apply it.

2007-10-27  H.J. Lu  <hjl@gnu.org>

	* gas-push-2.patch: Removed.
	* README: Don't apply it.

2007-10-26  H.J. Lu  <hjl@gnu.org>

	* gas-push-2.patch: New file.
	* README: Apply it.

2007-10-16  H.J. Lu  <hjl@gnu.org>

	* binutils-error-4.patch: New file. Replace ...
	* binutils-error-3.patch: This. Removed.
	* README: Likewise.

2007-10-09  H.J. Lu  <hjl@gnu.org>

	* binutils-hash-2.patch: Removed.
	* README: Don't apply it.

2007-09-26  H.J. Lu  <hjl@gnu.org>

	* binutils-signed-3.patch: New file. Replace ...
	* binutils-signed-2.patch: This. Removed.
	* README: Likewise.

2007-09-18  H.J. Lu  <hjl@gnu.org>

	* binutils-tls-relro-14.patch: Removed.
	* README: Don't apply it.

2007-08-23  H.J. Lu  <hjl@gnu.org>

	* binutils-shr-83.patch: New file. Replace ...
	* binutils-shr-82.patch: This. Removed.
	* README: Likewise.

2007-08-11  H.J. Lu  <hjl@gnu.org>

	* ld-env-7.patch: New file. Replace ...
	* ld-env-6.patch: This. Removed.
	* README: Likewise.

2007-08-03  H.J. Lu  <hjl@gnu.org>

	* binutils-pe-align-2.patch: Removed.
	* README: Don't apply it.

2007-07-29  H.J. Lu  <hjl@gnu.org>

	* binutils-pe-align-2.patch: New file.
	* README: Apply it.

2007-07-23  H.J. Lu  <hjl@gnu.org>

	* binutils-weakdef-1.patch: New file.
	* README: Apply it.

2007-07-10  H.J. Lu  <hjl@gnu.org>

	* ld-env-6.patch: New file. Replace ...
	* ld-env-4.patch: This. Removed.
	* README: Likewise.

2007-07-10  H.J. Lu  <hjl@gnu.org>

	* binutils-error-3.patch: New file. Replace ...
	* binutils-error-1.patch: This. Removed.
	* README: Likewise.

2007-07-04  H.J. Lu  <hjl@gnu.org>

	* binutils-tls-relro-14.patch: New file. Replace ...
	* binutils-tls-relro-13.patch: This. Removed.
	* README: Likewise.

2007-06-30  H.J. Lu  <hjl@gnu.org>

	* ld-env-4.patch: New file. Replace ...
	* ld-env-3.patch: This. Removed.
	* README: Likewise.

2007-06-26  H.J. Lu  <hjl@gnu.org>

	* binutils-signed-2.patch: New file.
	* README: Apply it.

	* bfd-ref_addr-6.patch: New file. Replace ...
	* bfd-ref_addr-5.patch: This. Removed.
	* README: Likewise.

2007-06-19  H.J. Lu  <hjl@gnu.org>

	* bfd-mixed-efi-4.patch: Removed.
	* binutils-ia64-merge-11.patch: Likewise.
	* README: Don't apply them.

2007-06-15  H.J. Lu  <hjl@gnu.org>

	* binutils-ia64-merge-11.patch: New file.
	* README: Apply it.

2007-06-09  H.J. Lu  <hjl@gnu.org>

	* bfd-mixed-efi-4.patch: New file.
	* README: Apply it.

2007-06-02  H.J. Lu  <hjl@gnu.org>

	* binutils-shr-82.patch: New file. Replace ...
	* binutils-shr-81.patch: This. Removed.
	* README: Likewise.

2007-05-30  H.J. Lu  <hjl@gnu.org>

	* libtool-archive-1.patch: Removed.
	* libtool-relink-1.patch: Likewise.
	* README: Don't apply them.

2007-05-15  H.J. Lu  <hjl@gnu.org>

	* binutils-shr-81.patch: New file. Replace ...
	* binutils-shr-80.patch: This. Removed.
	* README: Likewise.

2007-05-11  H.J. Lu  <hjl@gnu.org>

	* binutils-hash-2.patch: New file.
	* binutils-error-1.patch: Likewise.
	* README: Apply them.

2007-05-09  H.J. Lu  <hjl@gnu.org>

	* binutils-shr-80.patch: New file. Replace ...
	* binutils-shr-79.patch: This. Removed.
	* ld-env-3.patch: New file. Replace ...
	* ld-env-2.patch: This. Removed.
	* README: Updated.

2007-05-03  H.J. Lu  <hjl@gnu.org>

	* binutils-tls-relro-13.patch: New file. Replace ...
	* binutils-tls-relro-12.patch: This. Removed.
	* README: Likewise.

2007-03-31  H.J. Lu  <hjl@gnu.org>

	* ld-env-2.patch: New file. Replace ...
	* ld-env-1.patch: This. Removed.
	* README: Likewise.

2007-03-22  H.J. Lu  <hjl@gnu.org>

	* bfd-pe-size-1.patch: Removed.
	* binutils-check-phdr-2.patch: Likewise.
	* README: Don't apply them.

2007-03-19  H.J. Lu  <hjl@gnu.org>

	* bfd-pe-size-1.patch: New file.
	* README: Apply it.

2007-03-15  H.J. Lu  <hjl@gnu.org>

	* binutils-check-phdr-2.patch: New file. Replace ...
	* binutils-check-phdr-1.patch: This. Removed.
	* README: Likewise.

2007-03-15  H.J. Lu  <hjl@gnu.org>

	* bfd-version-1.patch: Removed.
	* binutils-bugs-4.patch: Likewise.
	* README: Don't apply them.

2007-03-14  H.J. Lu  <hjl@gnu.org>

	* bfd-version-1.patch: New file.
	* binutils-bugs-4.patch: Likewise.
	* README: Apply them.

2007-03-13  H.J. Lu  <hjl@gnu.org>

	* bfd-elf-osabi-3.patch: Removed.
	* README: Don't apply it.

2007-03-11  H.J. Lu  <hjl@gnu.org>

	* gas-relax-4.patch: Removed.
	* README: Don't apply it.

2007-03-07  H.J. Lu  <hjl@gnu.org>

	* gas-relax-4.patch: New file.
	* binutils-check-phdr-1.patch: Likewise.
	* README: Apply them.

2007-03-01  H.J. Lu  <hjl@gnu.org>

	* binutils-tls-relro-12.patch: New file. Replace ...
	* binutils-tls-relro-10.patch: This. Removed.
	* README: Likewise.

2007-01-30  H.J. Lu  <hjl@gnu.org>

	* bfd-speed-3.patch: Removed.
	* README: Don't apply it.

2007-01-28  H.J. Lu  <hjl@gnu.org>

	* bfd-elf-osabi-3.patch: New file. Replace ...
	* bfd-elf-osabi-2.patch: This. Removed.
	* README: Likewise.

2007-01-25  H.J. Lu  <hjl@gnu.org>

	* bfd-speed-3.patch: New file.
	* ld-env-1.patch: Likewise.
	* README: Apply them.

2007-01-23  H.J. Lu  <hjl@gnu.org>

	* README: Use patch -E.

2007-01-23  H.J. Lu  <hjl@gnu.org>

	* binutils-shr-79.patch: New file. Replace ...
	* binutils-shr-78.patch: This. Removed.
	* binutils-tls-relro-10.patch: New file. Replace ...
	* binutils-tls-relro-9.patch: This. Removed.
	* README: Updated.

2007-01-23  H.J. Lu  <hjl@gnu.org>

	* README: Create ChangeLog.patches when applying patches cleanly.

2007-01-22  H.J. Lu  <hjl@gnu.org>

	* README: Support applying patches cleanly.

2007-01-19  H.J. Lu  <hjl@gnu.org>

	* ld-symbolic-4.patch: Removed.
	* README: Don't apply it.

2007-01-17  H.J. Lu  <hjl@gnu.org>

	* ld-symbolic-4.patch: New file.
	* README: Apply it.

2007-01-16  H.J. Lu  <hjl@gnu.org>

	* binutils-dynamic-data-7.patch: Removed.
	* README: Don't apply it.

2007-01-14  H.J. Lu  <hjl@gnu.org>

	* bfd-elf-osabi-2.patch: New file.
	* binutils-dynamic-data-7.patch: Likewise.
	* binutils-shr-78.patch: Likewise.
	* README: Apply them.

2006-12-28  H.J. Lu  <hjl@gnu.org>

	* binutils-tls-relro-9.patch: New file. Replace ...
	* binutils-tls-relro-6.patch: This. Removed.
	* README: Likewise.

2006-12-25  H.J. Lu  <hjl@gnu.org>

	* binutils-tls-relro-6.patch: New file. Replace ...
	* binutils-tls-relro-5.patch: This. Removed.
	* README: Likewise.

2006-11-17  H.J. Lu  <hjl@gnu.org>

	* README: Don't apply bfd-kept-4.patch.

2006-10-31  H.J. Lu  <hjl@gnu.org>

	* binutils-symtab-4.patch: Removed.
	* README: Don't apply it.

2006-10-26  H.J. Lu  <hjl@gnu.org>

	* bfd-flags-1.patch: Removed.
	* README: Don't apply it.

2006-10-20  H.J. Lu  <hjl@gnu.org>

	* bfd-ref_addr-5.patch: New file.
	* binutils-indirect-1.patch: Likewise.
	* bfd-flags-1.patch: Likewise.
	* binutils-tls-relro-5.patch: Likewise.
	* README: Apply them.

2006-10-20  H.J. Lu  <hjl@gnu.org>

	* bfd-stabs-3.patch: Removed.
	* README: Don't apply it.

2006-09-24  H.J. Lu  <hjl@gnu.org>

	* binutils-symtab-4.patch: Include regenerated header files.

2006-09-24  H.J. Lu  <hjl@gnu.org>

	* binutils-symtab-4.patch: New file.
	* README: Apply it.

2006-09-18  H.J. Lu  <hjl@gnu.org>

	* libtool-archive-1.patch: New file.
	* libtool-relink-1.patch: Likewise.
	* README: Apply them.

2006-07-15  H.J. Lu  <hjl@gnu.org>

	* binutils-version-exec-3.patch: Removed.
	* README: Don't apply it.

2006-06-07  H.J. Lu  <hjl@gnu.org>

	* intl-info-1.patch: Removed.
	* README: Don't apply it.

2006-06-01  H.J. Lu  <hjl@gnu.org>

	* bfd-stabs-3.patch: New file. Replace ...
	* bfd-stabs-2.patch: This. Removed.
	* README: Likewise.

	* binutils-phdr-2.patch: Removed.
	* README: Don't apply it.

2006-05-26  H.J. Lu  <hjl@gnu.org>

	* intl-info-1.patch: New file.
	* README: Apply it.

2006-05-26  H.J. Lu  <hjl@gnu.org>

	* bfd-kept-4.patch: New file.
	* bfd-stabs-2.patch: Likewise.
	* binutils-phdr-2.patch: Likewise.
	* README: Apply them.

2006-05-10  H.J. Lu  <hjl@gnu.org>

	* bfd-linkonce-2342-1.patch: Removed.
	* README: Don't apply it.

2006-04-05  H.J. Lu  <hjl@gnu.org>

	* bfd-elf-64k-4.patch: Removed.
	* bfd-elf-mis-3.patch: Likewise.
	* README: Don't apply them.

2006-03-17  H.J. Lu  <hjl@gnu.org>

	* bfd-elf-64k-4.patch: New file.
	* bfd-elf-mis-3.patch: Likewise.
	* bfd-linkonce-2342-1.patch: Likewise.
	* README: Apply them.

2006-02-17  H.J. Lu  <hjl@gnu.org>

	* bfd-elf-error-2.patch: Removed.
	* bfd-pie-4.patch: Likewise.
	* README: Don't apply them.

2006-02-13  H.J. Lu  <hjl@gnu.org>

	* bfd-elf-error-2.patch: New file.
	* bfd-pie-4.patch: New file.
	* README: Apply them.

2005-11-16  H.J. Lu  <hjl@gnu.org>

	* binutils-version-exec-3.patch: New file. Replace ...
	* binutils-version-exec-2.patch: This. Removed.
	* README: Likewise.

2005-08-17  H.J. Lu  <hjl@gnu.org>

	* binutils-adjust-3.patch: Removed.
	* README: Don't apply it.

2005-08-15  H.J. Lu  <hjl@gnu.org>

	* binutils-adjust-3.patch: New file.
	* README: Apply it.

2005-07-11  H.J. Lu  <hjl@gnu.org>

	* binutils-provide-5.patchh: Removed.

	* README: Don't apply binutils-provide-5.patch.

2005-07-08  H.J. Lu  <hjl@gnu.org>

	* binutils-provide-5.patch: New file. Replace ...
	* binutils-provide-4.patch: This. Removed.
	* README: Likewise.

2005-07-07  H.J. Lu  <hjl@gnu.org>

	* bfd-elf-vsb-1.patch: Removed.

	* README: Don't apply bfd-elf-vsb-1.patch.

2005-07-06  H.J. Lu  <hjl@gnu.org>

	* bfd-dwarf-addr-3.patch: Removed.

	* README: Don't apply bfd-dwarf-addr-3.patch.

2005-06-30  H.J. Lu  <hjl@gnu.org>

	* binutils-provide-4.patch: New file. Replace ...
	* binutils-provide-3.patch: This. Removed.
	* README: Likewise.

2005-06-22  H.J. Lu  <hjl@gnu.org>

	* bfd-dwarf-addr-3.patch: New file. Fix DWARF 2 address.

	* bfd-elf-vsb-1.patch: New file. Fix undefined symbol with
	non-default visibility.

	* binutils-provide-3.patch: New file. Fix provided symbols with
	relaxation.

	* binutils-version-exec-2.patch: New file. Support selectly
	--export-dynamic and -Bsymbolic.

	* README: Apply bfd-dwarf-addr-3.patch, bfd-elf-vsb-1.patch,
	binutils-provide-3.patch and binutils-version-exec-2.patch.

2004-08-13  H.J. Lu  <hjl@gnu.org>

	* bfd-abort.patch: Removed.

	* README: Don't apply bfd-abort.patch.

2004-05-29  H.J. Lu  <hjl@gnu.org>

	* bfd-ia64-merge.patch: Removed.

	* README: Don't apply bfd-ia64-merge.patch.

2004-05-28  H.J. Lu  <hjl@gnu.org>

	* gas-ia64-auto.patch: Removed.
	* gas-ia64-ar.patch: Likewise.

	* README: Don't apply gas-ia64-auto.patch and gas-ia64-ar.patch.

2004-05-27  H.J. Lu  <hjl@gnu.org>

	* apply_demangler: Removed.
	* demangler.patch: Likewise.
	* ld-test-link.patch: Likewise.

	* bfd-ia64-merge.patch: New file.
	* gas-ia64-auto.patch: Likewise.
	* gas-ia64-ar.patch: Likewise.

	* README: Apply bfd-ia64-merge.patch, gas-ia64-auto.patch and
	gas-ia64-ar.patch.

2004-05-19  H.J. Lu  <hjl@gnu.org>

	* ld-eh-frame-ro.patch: Removed.

	* README: Don't apply ld-eh-frame-ro.patch.

2004-05-14  H.J. Lu  <hjl@gnu.org>

	* ld-eh-frame-ro.patch: Updated.

2004-05-14  H.J. Lu  <hjl@gnu.org>

	* ld-eh-frame-ro.patch: New. Handle RO/RW .eh_frame and
	.gcc_except_table sections.

	* README: Apply ld-eh-frame-ro.patch.

2004-04-23  H.J. Lu  <hjl@gnu.org>

	* README: Don't apply bfd-elf-mix.patch.

2004-04-22  H.J. Lu  <hjl@gnu.org>

	* bfd-abort.patch: New file. Abort on NULL BFD.

	* bfd-elf-mix.patch: New file. Improve ELF linker with non-ELF
	inputs.

	* README: Apply bfd-abort.patch and bfd-elf-mix.patch.

2004-01-07  H.J. Lu  <hjl@gnu.org>

	* README: Don't apply libtool-dso.patch.

2003-12-04  H.J. Lu  <hjl@gnu.org>

	* libtool-dso.patch: Updated.

2003-10-14  H.J. Lu  <hjl@gnu.org>

	* demangler.patch: Updated.

2003-10-01  H.J. Lu  <hjl@gnu.org>

	* demangler.patch: Updated.

2003-09-30  H.J. Lu  <hjl@gnu.org>

	* demangler.patch: Fix multilib support.

2003-09-03  H.J. Lu  <hjl@gnu.org>

	* libtool-dso.patch: Updated.

2003-08-28  H.J. Lu  <hjl@gnu.org>

	* demangler.patch: Updated.

	* apply_demangler: Use autoconf instead of autoconf-2.13.

2003-08-15  H.J. Lu  <hjl@gnu.org>

	* libtool-dso.patch: Updated.

2003-08-12  H.J. Lu  <hjl@gnu.org>

	* demangler.patch: Updated.

2003-07-23  H.J. Lu  <hjl@gnu.org>

	* demangler.patch: Updated.

2003-07-22  H.J. Lu  <hjl@gnu.org>

	* demangler.patch: Support relative source directory.

2003-07-22  H.J. Lu  <hjl@gnu.org>

	* demangler.patch: Support single directory build.

2003-07-21  H.J. Lu <hjl@gnu.org>

	* demangler.patch: New. A new C++ demangler.

	* apply_demangler: New. A script to apply the new demangler.

2003-07-14  H.J. Lu <hjl@gnu.org>

	* libtool-dso.patch: Updated.

2003-06-11  H.J. Lu <hjl@gnu.org>

	* libtool-dso.patch: Updated.

2003-05-30  H.J. Lu <hjl@gnu.org>

	* README: Don't apply ld-test-link.patch.

2003-05-25  H.J. Lu <hjl@gnu.org>

	* libtool-dso.patch: New. Fix brain dead libtool.

	* README: Apply libtool-dso.patch.

2003-05-23  H.J. Lu <hjl@gnu.org>

	* ld-test-link.patch: New file. Fix "make check" in ld for
	non-system compiler.

	* README: New file. Apply ld-test-link.patch.
